Debian Bug report logs - #539633
RFH: gnat-4.8 -- help needed to execute test cases

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ludovic Brenta <ludovic@ludovic-brenta.org>

Date: Tue, 15 Apr 2008 14:09:01 UTC

Severity: normal

Merged with 539562

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476270; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: submit@bugs.debian.org
Subject: RFH: gnat-4.3: backport bug fixes from trunk (GCC 4.4)
Date: Tue, 15 Apr 2008 16:05:38 +0200
Package: wnpp
Severity: normal

The default (and possibly the only) Ada compiler in Lenny will be gnat-4.3 which
was released in February 2008.  However, since the release, GCC 4.4 is in stage
1 and has already received several bug fixes.  Some of the bugs fixed are
present in gnat-4.3, so it would be nice to backport the fixes.  Unfortunately,
the rules governing GCC release branches only allow *regressions* (not regular
bugs) to be fixed upstream.  Therefore, if we want to backport bug fixes into
gnat-4.3, we must do so by means of Debian-specific patches.

I need help to do just that.

Your mission, should you choose to accept it, is to:

- scan the Debian BTS for bugs marked [Fixed in 4.4] (look at packages gnat-4.1
and gnat-4.3; see also #475369).

- if the bug has a patch in the upstream Bugzilla, backport it to gnat-4.3.

- Create a new file, debian/patches/pr*.dpatch in the Debian packaging scripts.

- Add an entry to debian/rules.patch so the patch is applied.

More details are in debian/README.maintainers in the GCC scripts.

Of course, backporting new functionality is not on the agenda because it might
introduce new bugs.

The most efficient way to commit these changes is by means of the monotone
database I use to maintain the scripts.  See
http://www.ada-france.org/article131.html for information.  You can also see
the database at http://www.ada-france.org:8081.

The second most efficient way is to commit the changes into the Debian GCC
Maintainers' Subversion repository at svn.debian.org/svn/gcccvs, but this is
open only to Debian Developers.

The least efficient way is to attach patches to the bugs in the Debian BTS.

Please do not hesitate to contact me if you need any additional information, and
thanks for any help you can provide.

-- 
Ludovic Brenta.




Changed Bug title to `RFH: gnat-4.3 -- backport bug fixes from trunk (GCC 4.4)' from `RFH: gnat-4.3: backport bug fixes from trunk (GCC 4.4)'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 17 Apr 2008 23:30:04 GMT) Full text and rfc822 format available.

Merged 475374 476270. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 19 Apr 2008 10:06:11 GMT) Full text and rfc822 format available.

Disconnected #475374 from all other report(s). Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Mon, 21 Apr 2008 11:00:08 GMT) Full text and rfc822 format available.

Bug 476270 cloned as bug 539633. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sun, 02 Aug 2009 14:57:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFH: gnat-4.4 -- backport bug fixes from trunk (GCC 4.5)' from 'RFH: gnat-4.3 -- backport bug fixes from trunk (GCC 4.4)' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sun, 02 Aug 2009 14:57:04 GMT) Full text and rfc822 format available.

Merged 539562 539633 Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 29 Nov 2013 10:24:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFH: gnat-4.8 -- help needed to execute test cases' from 'RFH: gnat-4.4 -- backport bug fixes from trunk (GCC 4.5)' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sun, 02 Feb 2014 17:03:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:03:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.